Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225910 - Merge Review: ipv6calc
Summary: Merge Review: ipv6calc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:06 UTC by Nobody's working on this, feel free to take it
Modified: 2014-08-19 11:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:20:49 UTC
varekova: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:06:48 UTC
Fedora Merge Review: ipv6calc

http://cvs.fedora.redhat.com/viewcvs/devel/ipv6calc/
Initial Owner: mmaslano@redhat.com

Comment 1 Ivana Varekova 2007-02-26 16:32:04 UTC
- missing dist tag
- change the buildroot tag to recomanded:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- add %{?_smp_mflags}
- change defattr to (-,root,root,-)
- URL tag is wrong
- there should be used -p to preserve the timestamps

rpmlint output:
* srpm
W: ipv6calc invalid-license GNU GPL version 2
W: ipv6calc macro-in-%changelog description
W: ipv6calc macro-in-%changelog files
W: ipv6calc macro-in-%changelog build
W: ipv6calc mixed-use-of-spaces-and-tabs (spaces: line 164, tab: line 1)

* rpm
W: ipv6calc invalid-license GNU GPL version 2
W: ipv6calc doc-file-dependency
/usr/share/doc/ipv6calc-0.61/ipv6logstats/collect_ipv6logstats.pl /usr/bin/perl
W: ipv6calc doc-file-dependency
/usr/share/doc/ipv6calc-0.61/ipv6logconv/run_analog.sh /bin/sh
W: ipv6calc doc-file-dependency
/usr/share/doc/ipv6calc-0.61/ipv6logstats/example_ipv6logstats.sh /bin/sh
W: ipv6calc-debuginfo invalid-license GNU GPL version 2


Comment 2 Marcela Mašláňová 2007-02-27 11:07:58 UTC
Fixed in ipv6calc-0.61-2.fc7. 

W: ipv6calc doc-file-dependency
/usr/share/doc/ipv6calc-0.61/ipv6logstats/collect_ipv6logstats.pl /usr/bin/perl
W: ipv6calc doc-file-dependency
/usr/share/doc/ipv6calc-0.61/ipv6logconv/run_analog.sh /bin/sh
W: ipv6calc doc-file-dependency
/usr/share/doc/ipv6calc-0.61/ipv6logstats/example_ipv6logstats.sh /bin/sh
W: ipv6calc-debuginfo invalid-license GNU GPL version 2
These problems stay, because in doc are example scripts, which has to be
executable, also they make the dependency on perl, bash.


Comment 3 Ivana Varekova 2007-03-01 13:39:57 UTC
Looks ok for me. 

Comment 4 Peter Bieringer 2014-08-17 17:42:29 UTC
Package Change Request
======================
Package Name: ipv6calc
New Branches: el6 epel7
Owners: pbiering

Comment 5 Robert Scheck 2014-08-18 16:51:09 UTC
Peter, if you really want to get this done, don't forget the fedora-cvs ;-)

Comment 6 Peter Bieringer 2014-08-18 20:43:18 UTC
fedora-cvs? Can it be that this is replaced by fedora-scm using git?

Package info:

https://admin.fedoraproject.org/pkgdb/package/ipv6calc/

for f19,f20,f21,f22 used git URL in fedora-scm: pkgs.fedoraproject.org/ipv6calc

More information required?


BTW: I've created already el6 and el7 (and also el5) packages using koji for test purposes some weeks ago:

EL5: http://koji.fedoraproject.org/koji/taskinfo?taskID=7232783
EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=7232794
EL7: http://koji.fedoraproject.org/koji/taskinfo?taskID=7232839

Comment 7 Robert Scheck 2014-08-18 21:35:40 UTC
(In reply to Peter Bieringer from comment #6)
> fedora-cvs? Can it be that this is replaced by fedora-scm using git?

I might be not up-to-date but IMHO is "fedora-cvs" as RHBZ flag still state
of the art to notifiy that SCM admin requests in RHBZ are getting processed;
http://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Comment 8 Gwyn Ciesla 2014-08-19 11:44:36 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.